# Uses of Class
org.apache.datasketches.sampling.ReservoirItemsSketch

Packages that use ReservoirItemsSketch
Package
Description
org.apache.datasketches.sampling
This package is dedicated to streaming algorithms that enable fixed size, uniform sampling of weighted and unweighted items from a stream.

## Uses of ReservoirItemsSketch in org.apache.datasketches.sampling

Methods in org.apache.datasketches.sampling that return ReservoirItemsSketch
Modifier and Type
Method
Description
`ReservoirItemsSketch<T>`
ReservoirItemsUnion.`getResult()`
Returns a sketch representing the current state of the union.
`static <T> ReservoirItemsSketch<T>`
ReservoirItemsSketch.`heapify(MemorySegment srcSeg, ArrayOfItemsSerDe<T> serDe)`
Returns a sketch instance of this class from the given srcSeg, which must be a MemorySegment representation of this sketch class.
`static <T> ReservoirItemsSketch<T>`
ReservoirItemsSketch.`newInstance(int k)`
Construct a mergeable sampling sketch with up to k samples using the default resize factor (8).
`static <T> ReservoirItemsSketch<T>`
ReservoirItemsSketch.`newInstance(int k, ResizeFactor rf)`
Construct a mergeable sampling sketch with up to k samples using a specified resize factor.
Methods in org.apache.datasketches.sampling with parameters of type ReservoirItemsSketch
Modifier and Type
Method
Description
`void`
ReservoirItemsUnion.`update(ReservoirItemsSketch<T> sketchIn)`
Union the given sketch.
`void`
VarOptItemsUnion.`update(ReservoirItemsSketch<T> reservoirIn)`
Union a reservoir sketch.